#
# spec file for package battalion (Version 1.4b)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mesa mesa-devel mesasoft xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         battalion
Copyright:    distributable
Group:        X11/Games/Video
Provides:     batalion 
Obsoletes:    batalion 
URL:          http://evlweb.eecs.uic.edu/aej/AndyBattalion.html
Autoreqprov:  on
Version:      1.4b
Release:      140
Summary:      A mesa-based 3D game
Source:  battalionSource.tar.bz2
Patch: battalionSource.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Battalion is a good example of how 3D Games can be implemented using
Mesa and how existing OpenGL applications may be ported to Linux.
Thanks to Mesa the work involved is quite low.

Authors:
--------
    Andrew Johnson <ajohnson@eecs.uic.edu>

SuSE series: fun

%prep
%setup -n battalionSource
%patch

%build
make 

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/{var/games,usr/{lib/battalion/battalion.data,X11R6/bin}}
install -s battalion "$RPM_BUILD_ROOT"/usr/X11R6/bin
cp -R DATA MUSIC SOUNDS TEXTURES \
    $RPM_BUILD_ROOT/usr/lib/battalion/battalion.data
touch $RPM_BUILD_ROOT/usr/lib/battalion/battalion.data/battalion.sho
touch $RPM_BUILD_ROOT/var/games/battalion_hiscore
install -d "$RPM_BUILD_ROOT"/usr/X11R6/man/man6
cp battalion.man "$RPM_BUILD_ROOT"/usr/X11R6/man/man6/battalion.6

%files
%defattr(-,root,root)
%attr(2755, games, game)/usr/X11R6/bin/battalion
/usr/lib/battalion
%doc README*
%doc /usr/X11R6/man/man6/battalion.6.gz
%attr(664, games, game)/var/games/battalion_hiscore
 

%clean
rm -rf "$RPM_BUILD_ROOT"

%changelog -n battalion
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Nov 15 2000 - nadvornik@suse.cz
- renamed batalion -> battalion
* Thu Jul 27 2000 - nadvornik@suse.cz
- fixed paths to sound files
* Thu Jun 01 2000 - nadvornik@suse.cz
- fixed permissions
* Wed May 24 2000 - nadvornik@suse.cz
- added mesadev to neededforbuild
* Fri May 19 2000 - nadvornik@suse.cz
- update to 1.4b
- added URL
* Wed Apr 26 2000 - nadvornik@suse.cz
- changed Group
* Fri Mar 10 2000 - nadvornik@suse.cz
- removed Makefile.Linux
- added BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 15 1999 - ro@suse.de
- added mesasoft to neededforbuild
* Mon Oct 06 1997 - rj@suse.de
- now works with (a)build
* Sun Jun 15 1997 - rj@suse.de
- new package (version 1.2)
